[Package Installer] apt-get autoremove 失败
Product Feedback133 views ·6 replies
Tofloor
b1450205862
deepin
2021-11-24 11:51
Author

执行命令失败,已经好几个版本了

 sudo apt-get autoremove
正在读取软件包列表... 完成
正在分析软件包的依赖关系树   
正在读取状态信息... 完成   
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗 0 B 的额外空间。
正在设置 linux-image-5.10.60-amd64-desktop (5.10.60-3) ...
Error! Error! Could not locate dkms.conf file.
Could not locate dkms.conf file.
File: /var/lib/dkms/bbswitch/0.8.1/source/dkms.conf does not exist.
File: /var/lib/dkms/aufs/4.19+20190211/source/dkms.conf does not exist.
run-parts: /etc/kernel/postinst.d/dkms exited with return code 4
update-initramfs: Generating /boot/initrd.img-5.10.60-amd64-desktop
cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries 
    nor crypto modules. If that's on purpose, you may want to uninstall the 
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs 
    integration and avoid this warning.
W: plymouth: The plugin label.so is missing, the selected theme might not work as expected.
W: plymouth: You might want to install the plymouth-themes package to fix this.
I: The initramfs will attempt to resume from /dev/sda7
I: (UUID=910f460d-03b6-4a10-ba0c-1ead77fe79cb)
I: Set the RESUME variable to override this.
live-boot: core filesystems devices utils udev blockdev dns.
fix systemd/logind config
正在生成 grub 配置文件 ...
找到主题:/boot/grub/themes/deepin/theme.txt
Found background image: /boot/grub/themes/deepin/background.jpg
找到 Linux 镜像:/boot/vmlinuz-5.10.60-amd64-desktop
找到 initrd 镜像:/boot/initrd.img-5.10.60-amd64-desktop
找到 initrd 镜像:/boot/deepin-ab-recovery/initrd.img-5.10.60-amd64-desktop
Found  image: /boot/vmlinuz-5.10.60-amd64-desktop
找到 initrd 镜像:/boot/initrd.img-5.10.60-amd64-desktop
Skipped Deepin 20.2.4 (20.2.4) on /dev/sda4 by user request.
Adding boot menu entry for EFI firmware configuration
完成
dpkg: 处理软件包 linux-image-5.10.60-amd64-desktop (--configure)时出错:
 已安装 linux-image-5.10.60-amd64-desktop 软件包 post-installation 脚本 子进程返回错误状态 1
在处理时有错误发生:
 linux-image-5.10.60-amd64-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)

ReplyFavoriteView the author
All Replies
jjcui8595
deepin
2021-11-24 12:43
#1

重新安装linux-image-5.10.60-amd64-desktop。不行的话,就安装并启动其它版本内核后,删除5.10.60内核再重装它

ReplyView the author
jjcui8595
deepin
2021-11-24 13:27
#2

试试sudo dpkg --configure -a

ReplyView the author
lcw0268
deepin
2021-11-25 02:34
#3

sudo apt install -f

如果不行,

sudo apt remove

linux-image-5.10.60-amd64-desktop

卸载后再安装回去。

ReplyView the author
b1450205862
deepin
2021-11-25 13:00
#4
jjcui8595

试试sudo dpkg --configure -a

不行,还是一样的错误

ReplyView the author
b1450205862
deepin
2021-11-25 13:11
#5
lcw0268

sudo apt install -f

如果不行,

sudo apt remove

linux-image-5.10.60-amd64-desktop

卸载后再安装回去。

卸载时提示 rmdir: 删除 'updates/dkms' 失败: 目录非空

重新安装还是报错

Adding boot menu entry for EFI firmware configuration
完成
dpkg: 处理软件包 linux-image-5.10.60-amd64-desktop (--configure)时出错:
 已安装 linux-image-5.10.60-amd64-desktop 软件包 post-installation 脚本 子进程返回错误状态 1
在处理时有错误发生:
 linux-image-5.10.60-amd64-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)

ReplyView the author
lcw0268
deepin
2021-11-26 21:54
#6
b1450205862

卸载时提示 rmdir: 删除 'updates/dkms' 失败: 目录非空

重新安装还是报错

Adding boot menu entry for EFI firmware configuration
完成
dpkg: 处理软件包 linux-image-5.10.60-amd64-desktop (--configure)时出错:
 已安装 linux-image-5.10.60-amd64-desktop 软件包 post-installation 脚本 子进程返回错误状态 1
在处理时有错误发生:
 linux-image-5.10.60-amd64-desktop
E: Sub-process /usr/bin/dpkg returned an error code (1)

you may want to uninstall the 
    'cryptsetup-initramfs'
ReplyView the author
Use Markdown Editor
Loading